# -*- coding: utf-8 -*-
# Code for Life
#
# Copyright (C) 2016, Ocado Innovation Limited
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU Affero General Public License as
# published by the Free Software Foundation, either version 3 of the
# License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Affero General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
# ADDITIONAL TERMS – Section 7 GNU General Public Licence
#
# This licence does not grant any right, title or interest in any “Ocado” logos,
# trade names or the trademark “Ocado” or any other trademarks or domain names
# owned by Ocado Innovation Limited or the Ocado group of companies or any other
# distinctive brand features of “Ocado” as may be secured from time to time. You
# must not distribute any modification of this program using the trademark
# “Ocado” or claim any affiliation or association with Ocado or its employees.
#
# You are not authorised to use the name Ocado (or any of its trade names) or
# the names of any author or contributor in advertising or for publicity purposes
# pertaining to the distribution of this program, without the prior written
# authorisation of Ocado.
#
# Any propagation, distribution or conveyance of this program must include this
# copyright notice and these terms. You must not misrepresent the origins of this
# program; modified versions of the program must be marked as such and not
# identified as the original program.

PDF_DATA = {
    # .........User Guide........#
    "introduction_to_coding": {
        "title": "Introduction to Coding",
        "description": "This document shows how the progrssion through rapid router levels cover each stage of the computing curriculum for key stages one and two.",
        "links": None,
        "url": "general_resources/introduction_to_coding.pdf",
        "page_origin": "#user-guide"
    },

    "levels_guide_1-50": {
        "title": "Levels Guide 1 - 50",
        "description": "Road maps for levels 1 to 50 of Rapid Router. You can find the maps for levels 51 - 109 below.",
        "links": ["levels_guide_51-109"],
        "url": "general_resources/levels_guide.pdf",
        "page_origin": "#user-guide"
    },

    "glossary": {
        "title": "Glossary",
        "description": "A glossary of coding terminology, for all the key stages of the curriculum.",
        "links": None,
        "url": "general_resources/glossary.pdf",
        "page_origin": "#user-guide"
    },

    "introduction_to_python": {
        "title": "Introduction to Python in Rapid Router",
        "description": "A summary of the python commands specific to Rapid Router as well as general python statements children will need to use.",
        "links": None,
        "url": "general_resources/UKS2-Intro_to_Python.pdf",
        "page_origin": "#user-guide"
    },

    "levels_guide_51-109": {
        "title": "Levels Guide 50 - 109",
        "description": "Road maps for levels 51 to 109 of Rapid Router.",
        "links": ["levels_guide_1-50"],
        "url": "general_resources/UKS2-levels-guide.pdf",
        "page_origin": "#user-guide"
    },

    "blockly_python_phrasebook": {
        "title": "Blockly - Python Phrasebook",
        "description": "A table showing the conversion from Blockly to Python.",
        "links": None,
        "url": "general_resources/UKS2-Python_Phrasebook.pdf",
        "page_origin": "#user-guide"
    },

    # ...................KS1 sessions...........#
    "ks1_session_1": {
        "title": "KS1 - Session 1",
        "description": "Unplugged algorithms for moving along a route.",
        "links": ["KS1_S1_1", "KS1_S1_2", "KS1_S1_3", "KS1_S1_4"],
        "url": "KS1/lesson_plans/s1.pdf",
        "page_origin": "#ks1-sessions"
    },

    "ks1_session_2": {
        "title": "KS1 - Session 2",
        "description": "Starting off on-screen with the app.",
        "links": None,
        "url": "KS1/lesson_plans/s2.pdf",
        "video": "https://www.youtube.com/embed/PQFyF3R6Xts",
        "video_download_link": "videos/KS1_2_Introduction_to_Rapid_Router_with_Matt_and_Chris.mp4",
        "page_origin": "#ks1-sessions"
    },

    "ks1_session_3": {
        "title": "KS1 - Session 3",
        "description": "Creating simple algorithms to reach a single destination.",
        "links": ["KS1_S3_1"],
        "url": "KS1/lesson_plans/s3.pdf",
        "page_origin": "#ks1-sessions"
    },

    "ks1_session_4": {
        "title": "KS1 - Session 4",
        "description": "Creating simple algorithms to reach a single destination along the shortest route.",
        "links": ["KS1_S4_1", "KS1_S4_2", "KS1_S4_3", "KS1_S4_4"],
        "url": "KS1/lesson_plans/s4.pdf",
        "page_origin": "#ks1-sessions"
    },

    "ks1_session_5": {
        "title": "KS1 - Session 5",
        "description": "Create a more complex algorithm to deliver one or more packages on the way",
        "links": ["KS1_S5_1"],
        "url": "KS1/lesson_plans/s5.pdf",
        "page_origin": "#ks1-sessions"
    },

    "ks1_session_6": {
        "title": "KS1 - Session 6",
        "description": "Delivering several packages in a sensible sequence (extension activity)",
        "links": ["KS1_S6_1", "KS1_S6_2"],
        "url": "KS1/lesson_plans/s6.pdf",
        "page_origin": "#ks1-sessions"
    },

    "ks1_session_7": {
        "title": "KS1 - Session 7",
        "description": "Introducing the repeat code.",
        "links": ["KS1_S7_1", "KS1_S7_2", "KS1_S7_3"],
        "url": "KS1/lesson_plans/s7.pdf",
        "video": "https://www.youtube.com/embed/vFGd0v3msRE",
        "video_download_link": "videos/KS1_7_Mahana_explains_repeat_functions.mp4",
        "page_origin": "#ks1-sessions"
    },

    "ks1_session_8": {
        "title": "KS1 - Session 8",
        "description": "Follow-on and extension work on multiple repeat loops and nested repeats.",
        "links": ["KS1_S8_1", "KS1_S8_2"],
        "url": "KS1/lesson_plans/s8.pdf",
        "page_origin": "#ks1-sessions"
    },

    "ks1_session_9": {
        "title": "KS1 - Session 9",
        "description": "Children create their own routes.",
        "links": ["KS1_S9_1"],
        "url": "KS1/lesson_plans/s9.pdf",
        "page_origin": "#ks1-sessions"
    },

    "ks1_session_10": {
        "title": "KS1 - Session 10",
        "description": "Try out a partners route.",
        "links": None,
        "url": "KS1/lesson_plans/s10.pdf",
        "page_origin": "#ks1-sessions"
    },

    # .........KS1 Resource Sheets.........#

    # ...Session 1...#
    "KS1_S1_1": {
        "title": "KS1 - Session 1 - Sheet 1",
        "description": "To be used with Session 1 lesson plan.",
        "links": ["ks1_session_1"],
        "url": "KS1/resource_sheets/s1_1.pdf",
        "page_origin": "#ks1-resource-sheets"
    },

    "KS1_S1_2": {
        "title": "KS1 - Session 1 - Sheet 2",
        "description": "To be used with Session 1 lesson plan.",
        "links": ["ks1_session_1"],
        "url": "KS1/resource_sheets/s1_2.pdf",
        "page_origin": "#ks1-resource-sheets"
    },

    "KS1_S1_3": {
        "title": "KS1 - Session 1 - Sheet 3",
        "description": "To be used with Session 1 lesson plan.",
        "links": ["ks1_session_1"],
        "url": "KS1/resource_sheets/s1_3.pdf",
        "page_origin": "#ks1-resource-sheets"
    },

    "KS1_S1_4": {
        "title": "KS1 - Session 1 - Sheet 4",
        "description": "To be used with Session 1 lesson plan.",
        "links": ["ks1_session_1"],
        "url": "KS1/resource_sheets/s1_4.pdf",
        "page_origin": "#ks1-resource-sheets"
    },

    # ...Session 3...#
    "KS1_S3_1": {
        "title": "KS1 - Session 3 - Sheet 1",
        "description": "To be used with Session 3 lesson plan.",
        "links": ["ks1_session_3"],
        "url": "KS1/resource_sheets/s3_1.pdf",
        "page_origin": "#ks1-resource-sheets"
    },

    # ...Session 4...#
    "KS1_S4_1": {
        "title": "KS1 - Session 4 - Sheet 1",
        "description": "To be used with Session 4 lesson plan.",
        "links": ["ks1_session_4"],
        "url": "KS1/resource_sheets/s4_1.pdf",
        "page_origin": "#ks1-resource-sheets"
    },

    "KS1_S4_2": {
        "title": "KS1 - Session 4 - Sheet 2",
        "description": "To be used with Session 4 lesson plan.",
        "links": ["ks1_session_4"],
        "url": "KS1/resource_sheets/s4_2.pdf",
        "page_origin": "#ks1-resource-sheets"
    },

    "KS1_S4_3": {
        "title": "KS1 - Session 4 - Sheet 3",
        "description": "To be used with Session 4 lesson plan.",
        "links": ["ks1_session_4"],
        "url": "KS1/resource_sheets/s4_3.pdf",
        "page_origin": "#ks1-resource-sheets"
    },

    "KS1_S4_4": {
        "title": "KS1 - Session 4 - Sheet 4",
        "description": "To be used with Session 4 lesson plan.",
        "links": ["ks1_session_4"],
        "url": "KS1/resource_sheets/s4_4.pdf",
        "page_origin": "#ks1-resource-sheets"
    },

    # ...Session 5...#
    "KS1_S5_1": {
        "title": "KS1 - Session 5 - Sheet 1",
        "description": "To be used with Session 5 lesson plan.",
        "links": ["ks1_session_5"],
        "url": "KS1/resource_sheets/s5_1.pdf",
        "page_origin": "#ks1-resource-sheets"
    },

    # ...Session 6 ...#
    "KS1_S6_1": {
        "title": "KS1 - Session 6 - Sheet 1",
        "description": "To be used with Session 6 lesson plan.",
        "links": ["ks1_session_6"],
        "url": "KS1/resource_sheets/s6_1.pdf",
        "page_origin": "#ks1-resource-sheets"
    },

    "KS1_S6_2": {
        "title": "KS1 - Session 6 - Sheet 2",
        "description": "To be used with Session 6 lesson plan.",
        "links": ["ks1_session_6"],
        "url": "KS1/resource_sheets/s6_2.pdf",
        "page_origin": "#ks1-resource-sheets"
    },

    # ...Session 7...#
    "KS1_S7_1": {
        "title": "KS1 - Session 7 - Sheet 1",
        "description": "To be used with Session 7 lesson plan.",
        "links": ["ks1_session_7"],
        "url": "KS1/resource_sheets/s7_1.pdf",
        "page_origin": "#ks1-resource-sheets"
    },

    "KS1_S7_2": {
        "title": "KS1 - Session 7 - Sheet 2",
        "description": "To be used with Session 7 lesson plan.",
        "links": ["ks1_session_7"],
        "url": "KS1/resource_sheets/s7_2.pdf",
        "page_origin": "#ks1-resource-sheets"
    },

    "KS1_S7_3": {
        "title": "KS1 - Session 7 - Sheet 3",
        "description": "To be used with Session 7 lesson plan.",
        "links": ["ks1_session_7"],
        "url": "KS1/resource_sheets/s7_3.pdf",
        "page_origin": "#ks1-resource-sheets"
    },

    # ...Session 8...#
    "KS1_S8_1": {
        "title": "KS1 - Session 8 - Sheet 1",
        "description": "To be used with Session 8 lesson plan.",
        "links": ["ks1_session_8"],
        "url": "KS1/resource_sheets/s8_1.pdf",
        "page_origin": "#ks1-resource-sheets"
    },

    "KS1_S8_2": {
        "title": "KS1 - Session 8 - Sheet 2",
        "description": "To be used with Session 8 lesson plan.",
        "links": ["ks1_session_8"],
        "url": "KS1/resource_sheets/s8_2.pdf",
        "page_origin": "#ks1-resource-sheets"
    },

    # ...Session 9...#
    "KS1_S9_1": {
        "title": "KS1 - Session 9 - Sheet 1",
        "description": "To be used with Session 9 lesson plan.",
        "links": ["ks1_session_9"],
        "url": "KS1/resource_sheets/s9_1.pdf",
        "page_origin": "#ks1-resource-sheets"
    },

    # ............KS1 Extras............#

    # ...KS1 Program Solutions...#
    "program_solutions_1-28": {
        "title": "Program Solutions 1 - 28",
        "description": "A table showing the best solutions to levels 1 to 28 of Rapid Router.",
        "links": ["program_solutions_29-50", "program_solutions_51-109"],
        "url": "KS1/program_solutions/program_solutions_table.pdf",
        "page_origin": "#ks1-solutions"
    },

    # ...KS1 Activity Set...#
    "ks1_activity_set": {
        "title": "KS1 Activity Set",
        "description": "This activity set gives you an overview 0f the Key Stage 1 module. It covers the resources that will be useful, learning expectatins and teacher preparation.",
        "links": None,
        "url": "KS1/activity_set.pdf",
        "page_origin": "#ks1-activity"
    },

    # ...KS1 Assets...#
    "ks1_assets": {
        "title": "KS1 Assets",
        "description": "Arrows, scenery and blockly statements that can be cut out for offline activities.",
        "links": ["ks1_code_wall_cards"],
        "url": "KS1/assets/assets.pdf",
        "page_origin": "#ks1-assets"
    },

    "ks1_code_wall_cards": {
        "title": "KS1 Code Wall Cards",
        "description": "Keywords that can be displayed in the classroom.",
        "links": ["ks1_assets"],
        "url": "KS1/assets/code_wall_cards.pdf",
        "page_origin": "#ks1-assets"
    },

    # ...KS1 Assessments...#
    "ks1_assessment_guide": {
        "title": "KS1 Assessment Guide",
        "description": "Information on how to use the assessment sheets available.",
        "links": ["ks1_self_assessment_sheet", "ks1_teacher_record_sheet"],
        "url": "KS1/assessment/assessment_sheet.pdf",
        "page_origin": "#ks1-assessments"
    },

    "ks1_self_assessment_sheet": {
        "title": "KS1 - Self Assessment Sheet",
        "description": "Document for children to self assess their understanding of key concepts.",
        "links": ["ks1_assessment_sheet", "ks1_teacher_record_sheet"],
        "url": "KS1/assessment/self_assessment_sheet.pdf",
        "page_origin": "#ks1-assessments"
    },

    "ks1_teacher_record_sheet": {
        "title": "KS1 - Teacher Record Sheet",
        "description": "Document for the teacher to record pupils progress.",
        "links": ["ks1_assessment_sheet", "ks1_self_assessment_sheet"],
        "url": "KS1/assessment/teacher_record_sheet.pdf",
        "page_origin": "#ks1-assessments"
    },


    # .........LKS2 sessions...........#
    "lks2_session_1": {
        "title": "LKS2 - Session 1",
        "description": "Recap on using a simple 'repeat' loop.",
        "links": ["LKS2_S1_1"],
        "url": "KS2/lesson_plans/s1.pdf",
        "page_origin": "#lks2-sessions"
    },

    "lks2_session_2": {
        "title": "LKS2 - Session 2",
        "description": "Using repeat with a condition on a simple route: 'repeat until'.",
        "links": ["LKS2_S2_1", "LKS2_S2_2"],
        "url": "KS2/lesson_plans/s2.pdf",
        "video": "https://www.youtube.com/embed/EDwc80X_LQI",
        "video_download_link": "videos/LKS2_2_Ana_discusses_repeat_until_and_repeat_while_functions.mp4",
        "page_origin": "#lks2-sessions"
    },

    "lks2_session_3": {
        "title": "LKS2 - Session 3",
        "description": "Using simple selections and repetition: Repeat until at destination 'if…do'.",
        "links": ["LKS2_S3_1"],
        "url": "KS2/lesson_plans/s3.pdf",
        "video": "https://www.youtube.com/embed/O0RXbJyYq8o",
        "video_download_link": "videos/LKS2_3_Chris_and_Matt_introduce_if_statements.mp4",
        "page_origin": "#lks2-sessions"
    },

    "lks2_session_4": {
        "title": "LKS2 - Session 4",
        "description": "General solution using repeat until and if…do…(including else if for more able children).",
        "links": ["LKS2_S4_1", "LKS2_S4_2", "LKS2_S4_3", "LKS2_S4_4"],
        "url": "KS2/lesson_plans/s4.pdf",
        "video": "https://www.youtube.com/embed/GUUJSRuAyU0",
        "video_download_link": "videos/LKS2_4_Helen_explains_if_else_statements.mp4",
        "page_origin": "#lks2-sessions"
    },

    "lks2_session_5": {
        "title": "LKS2 - Session 5",
        "description": "Extension group activity - Explain why the general program does not work for some more complex maps.",
        "links": ["LKS2_S5_1"],
        "url": "KS2/lesson_plans/s5.pdf",
        "page_origin": "#lks2-sessions"
    },

    "lks2_session_6": {
        "title": "LKS2 - Session 6",
        "description": "Traffic lights: understanding variables and the if do…if else statements.",
        "links": ["LKS2_S6_1"],
        "url": "KS2/lesson_plans/s6.pdf",
        "video": "https://www.youtube.com/embed/UFpsEjaB_DI",
        "video_download_link": "videos/LKS2_6_Will_discusses_variables.mp4",
        "page_origin": "#lks2-sessions"
    },

    "lks2_session_7": {
        "title": "LKS2 - Session 7",
        "description": "Applying their programming knowledge to create a game challenge.",
        "links": ["LKS2_S7_1", "LKS2_S7_2"],
        "url": "KS2/lesson_plans/s7.pdf",
        "video": "https://www.youtube.com/embed/vFGd0v3msRE",
        "video_download_link": "videos/LKS2_7_Mahana_explains_repeat_functions.mp4",
        "page_origin": "#lks2-sessions"
    },

    "lks2_session_8": {
        "title": "LKS2 - Session 8",
        "description": "Applying their programming knowledge to play and evaluate a game challenge.",
        "links": ["LKS2_S7_1", "LKS2_S7_2"],
        "url": "KS2/lesson_plans/s7.pdf",
        "page_origin": "#lks2-sessions"
    },

    # .........LKS2 Resource Sheets.........#

    # ...Session 1...#
    "LKS2_S1_1": {
        "title": "LKS2 - Session 1 - Sheet 1",
        "description": "To be used with Session 1 lesson plan.",
        "links": ["lks2_session_1"],
        "url": "KS2/resource_sheets/s1_1.pdf",
        "page_origin": "#lks2-resource-sheets"
    },

    # ... Session 2 ... #
    "LKS2_S2_1": {
        "title": "LKS2 - Session 2 - Sheet 1",
        "description": "To be used with Session 2 lesson plan.",
        "links": ["lks2_session_2"],
        "url": "KS2/resource_sheets/s2_1.pdf",
        "page_origin": "#lks2-resource-sheets"
    },

    "LKS2_S2_2": {
        "title": "LKS2 - Session 2 - Sheet 2",
        "description": "To be used with Session 2 lesson plan.",
        "links": ["lks2_session_2"],
        "url": "KS2/resource_sheets/s2_2.pdf",
        "page_origin": "#lks2-resource-sheets"
    },


    # ...Session 3...#
    "LKS2_S3_1": {
        "title": "LKS2 - Session 3 - Sheet 1",
        "description": "To be used with Session 3 lesson plan.",
        "links": ["lks2_session_3"],
        "url": "KS2/resource_sheets/s3_1.pdf",
        "page_origin": "#lks2-resource-sheets"
    },

    # ...Session 4...#
    "LKS2_S4_1": {
        "title": "LKS2 - Session 4 - Sheet 1",
        "description": "To be used with Session 4 lesson plan.",
        "links": ["lks2_session_4"],
        "url": "KS2/resource_sheets/s4_1.pdf",
        "page_origin": "#lks2-resource-sheets"
    },

    "LKS2_S4_2": {
        "title": "LKS2 - Session 4 - Sheet 2",
        "description": "To be used with Session 4 lesson plan.",
        "links": ["lks2_session_4"],
        "url": "KS2/resource_sheets/s4_2.pdf",
        "page_origin": "#lks2-resource-sheets"
    },

    "LKS2_S4_3": {
        "title": "LKS2 - Session 4 - Sheet 3",
        "description": "To be used with Session 4 lesson plan.",
        "links": ["lks2_session_4"],
        "url": "KS2/resource_sheets/s4_3.pdf",
        "page_origin": "#lks2-resource-sheets"
    },

    "LKS2_S4_4": {
        "title": "LKS2 - Session 4 - Sheet 4",
        "description": "To be used with Session 4 lesson plan.",
        "links": ["lks2_session_4"],
        "url": "KS2/resource_sheets/s4_4.pdf",
        "page_origin": "#lks2-resource-sheets"
    },

    # ...Session 5...#
    "LKS2_S5_1": {
        "title": "LKS2 - Session 5 - Sheet 1",
        "description": "To be used with Session 5 lesson plan.",
        "links": ["lks2_session_5"],
        "url": "KS2/resource_sheets/s5_1.pdf",
        "page_origin": "#lks2-resource-sheets"
    },

    # ...Session 6...#
    "LKS2_S6_1": {
        "title": "LKS2 - Session 6 - Sheet 1",
        "description": "To be used with Session 6 lesson plan.",
        "links": ["lks2_session_6"],
        "url": "KS2/resource_sheets/s6_1.pdf",
        "page_origin": "#lks2-resource-sheets"
    },

    # ...Session 7...#
    "LKS2_S7_1": {
        "title": "LKS2 - Session 7 - Sheet 1",
        "description": "To be used with Session 7 lesson plan.",
        "links": ["lks2_session_7"],
        "url": "KS2/resource_sheets/s7_1.pdf",
        "page_origin": "#lks2-resource-sheets"
    },

    "LKS2_S7_2": {
        "title": "LKS2 - Session 7 - Sheet 2",
        "description": "To be used with Session 7 lesson plan.",
        "links": ["lks2_session_7"],
        "url": "KS2/resource_sheets/s7_2.pdf",
        "page_origin": "#lks2-resource-sheets"
    },

    # ............LKS2 Extras............#

    # ...LKS2 Program Solutions...#
    "program_solutions_29-50": {
        "title": "Program Solutions 29 - 50",
        "description": "A table showing the best solutions to levels 29 to 50 of Rapid Router.",
        "links": ["program_solutions_1-28", "program_solutions_51-109"],
        "url": "KS2/program_solutions/program_solutions_table.pdf",
        "page_origin": "#lks2-solutions"
    },

    # ...LKS2 Activity Set...#
    "lks2_activity_set": {
        "title": "Upper KS2 Activity Set",
        "description": "This activity set gives you an overview of the Lower Key Stage 2 module. It covers the resources that will be useful, learning expectations and teacher preparation.",
        "links": None,
        "url": "KS2/activity_set.pdf",
        "page_origin": "#lks2-activity"
    },

    # ...LKS2 Assets...#
    "lks2_assets": {
        "title": "Upper KS2 Assets",
        "description": "Blockly statements for Lower Key Stage 2 children that can be cut out for offline activities.",
        "links": ["lks2_code_wall_cards"],
        "url": "KS2/assets/assets.pdf",
        "page_origin": "#lks2-assets"
    },

    "lks2_code_wall_cards": {
        "title": "Upper KS2 Code Wall Cards",
        "description": "Keywords that can be displayed in the classroom.",
        "links": ["lks2_assets"],
        "url": "KS2/assets/code_wall_cards.pdf",
        "page_origin": "#lks2-assets"
    },

    # ...LKS2 Assessments...#
    "lks2_assessment_guide": {
        "title": "Upper KS2 Assessment Guide",
        "description": "Information on how to use the assessment sheets available.",
        "links": ["lks2_self_assessment_sheet", "lks2_teacher_record_sheet"],
        "url": "KS2/assessment/assessment_sheet.pdf",
        "page_origin": "#lks2-assessments"
    },

    "lks2_self_assessment_sheet": {
        "title": "Upper KS2 - Self Assessment Sheet",
        "description": "Document for children to self assess their understanding of key concepts.",
        "links": ["lks2_assessment_sheet", "lks2_teacher_record_sheet"],
        "url": "KS2/assessment/self_assessment_sheet.pdf",
        "page_origin": "#lks2-assessments"
    },

    "lks2_teacher_record_sheet": {
        "title": "Upper KS2 - Teacher Record Sheet",
        "description": "Document for the teacher to record pupils progress.",
        "links": ["lks2_assessment_sheet", "lks2_self_assessment_sheet"],
        "url": "KS2/assessment/teacher_record_sheet.pdf",
        "page_origin": "#lks2-assessments"
    },

    # .........UKS2 sessions...........#
    "uks2_session_1": {
        "title": "UKS2 - Session 1",
        "description": "What do we already know? (Recap the Blockly commands previously encountered)",
        "links": ["UKS2_S1_1"],
        "url": "python/lesson_plans/UKS2-S1.pdf",
        "page_origin": "#uks2-sessions"
    },

    "uks2_session_2": {
        "title": "UKS2 - Session 2",
        "description": "Breaking down the problem in chunks (understanding procedures).",
        "links": ["UKS2_S2_1", "UKS2_S2_2"],
        "url": "python/lesson_plans/UKS2-S2.pdf",
        "video": "https://www.youtube.com/embed/zsWwscJrEhs",
        "video_download_link": "videos/UKS2_Ed_Armitage_explains_functions_procedures.mp4",
        "page_origin": "#uks2-sessions"
    },

    "uks2_session_3": {
        "title": "UKS2 - Session 3",
        "description": "Switching from Blockly to Python.",
        "links": ["UKS2_S3_1", "UKS2_S3_2"],
        "url": "python/lesson_plans/UKS2-S3.pdf",
        "video": "https://www.youtube.com/embed/5atj2caRjyA",
        "video_download_link": "videos/UKS2_Kenny_introduces_real_programming_language_Python.mp4",
        "page_origin": "#uks2-sessions"
    },

    "uks2_session_4": {
        "title": "UKS2 - Session 4",
        "description": "Understanding more Python commands (while, if…elif…else).",
        "links": ["UKS2_S4_1"],
        "url": "python/lesson_plans/UKS2-S4.pdf",
        "page_origin": "#uks2-sessions"
    },

    "uks2_session_5": {
        "title": "UKS2 - Session 5",
        "description": "Writing basic code directly in Python (forwards, turn, print, repetition).",
        "links": ["UKS2_S5_1", "UKS2_S5_2", "UKS2_S5_3"],
        "url": "python/lesson_plans/UKS2-S5.pdf",
        "page_origin": "#uks2-sessions"
    },

    "uks2_session_6": {
        "title": "UKS2 - Session 6",
        "description": "Flying Solo with Python! Programming independently using selection, defining procedures/functions.",
        "links": ["UKS2_S6_1", "UKS2_S6_2"],
        "url": "python/lesson_plans/UKS2-S6.pdf",
        "page_origin": "#uks2-sessions"
    },

    "uks2_session_7": {
        "title": "UKS2 - Session 7",
        "description": "Increase the challenge - creating new Python variables, incrementing variables.",
        "links": ["UKS2_S7_1", "UKS2_S7_2"],
        "url": "python/lesson_plans/UKS2-S7.pdf",
        "page_origin": "#uks2-sessions"
    },

    "uks2_session_8": {
        "title": "UKS2 - Session 8",
        "description": "Assessment session - applying your coding knowledge to create a game challenge for a partner.",
        "links": ["UKS2_S8_1", "UKS2_S8_2"],
        "url": "python/lesson_plans/UKS2-S8.pdf",
        "page_origin": "#uks2-sessions"
    },

    # .........UKS2 Resource Sheets.........#

    # ...Session 1...#
    "UKS2_S1_1": {
        "title": "UKS2 - Session 1 - Sheet 1",
        "description": "To be used with Session 1 lesson plan.",
        "links": ["uks2_session_1"],
        "url": "python/resource_sheets/UKS2-S1-1_1.pdf",
        "page_origin": "#uks2-resource-sheets"
    },

    # ...Session 2...#
    "UKS2_S2_1": {
        "title": "UKS2 - Session 2 - Sheet 1",
        "description": "To be used with Session 2 lesson plan.",
        "links": ["uks2_session_2"],
        "url": "python/resource_sheets/UKS2-S2-1.pdf",
        "page_origin": "#uks2-resource-sheets"
    },

    "UKS2_S2_2": {
        "title": "UKS2 - Session 2 - Sheet 2",
        "description": "To be used with Session 2 lesson plan.",
        "links": ["uks2_session_2"],
        "url": "python/resource_sheets/UKS2-S2-2.pdf",
        "page_origin": "#uks2-resource-sheets"
    },

    # ...Session 3...#
    "UKS2_S3_1": {
        "title": "UKS2 - Session 3 - Sheet 1",
        "description": "To be used with Session 3 lesson plan.",
        "links": ["uks2_session_3"],
        "url": "python/resource_sheets/UKS2-S3-1.pdf",
        "page_origin": "#uks2-resource-sheets"
    },

    "UKS2_S3_2": {
        "title": "UKS2 - Session 3 - Sheet 2",
        "description": "To be used with Session 3 lesson plan.",
        "links": ["uks2_session_3"],
        "url": "python/resource_sheets/UKS2-S3-2.pdf",
        "page_origin": "#uks2-resource-sheets"
    },

    # ...Session 4...#
    "UKS2_S4_1": {
        "title": "UKS2 - Session 4 - Sheet 1",
        "description": "To be used with Session 4 lesson plan.",
        "links": ["uks2_session_4"],
        "url": "python/resource_sheets/UKS2-S4-1.pdf",
        "page_origin": "#uks2-resource-sheets"
    },

    # ...Session 5...#
    "UKS2_S5_1": {
        "title": "UKS2 - Session 5 - Sheet 1",
        "description": "To be used with Session 5 lesson plan.",
        "links": ["uks2_session_5"],
        "url": "python/resource_sheets/UKS2-S5-1.pdf",
        "page_origin": "#uks2-resource-sheets"
    },

    "UKS2_S5_2": {
        "title": "UKS2 - Session 5 - Sheet 2",
        "description": "To be used with Session 5 lesson plan.",
        "links": ["uks2_session_3"],
        "url": "python/resource_sheets/UKS2-S5-2.pdf",
        "page_origin": "#uks2-resource-sheets"
    },

    "UKS2_S5_3": {
        "title": "UKS2 - Session 5 - Sheet 3",
        "description": "To be used with Session 5 lesson plan.",
        "links": ["uks2_session_3"],
        "url": "python/resource_sheets/UKS2-S5-3.pdf",
        "page_origin": "#uks2-resource-sheets"
    },

    # ...Session 6...#
    "UKS2_S6_1": {
        "title": "UKS2 - Session 6 - Sheet 1",
        "description": "To be used with Session 6 lesson plan.",
        "links": ["uks2_session_6"],
        "url": "python/resource_sheets/UKS2-S6-1.pdf",
        "page_origin": "#uks2-resource-sheets"
    },

    "UKS2_S6_2": {
        "title": "UKS2 - Session 6 - Sheet 2",
        "description": "To be used with Session 6 lesson plan.",
        "links": ["uks2_session_6"],
        "url": "python/resource_sheets/UKS2-S6-2.pdf",
        "page_origin": "#uks2-resource-sheets"
    },

    # ...Session 7...#
    "UKS2_S7_1": {
        "title": "UKS2 - Session 7 - Sheet 1",
        "description": "To be used with Session 7 lesson plan.",
        "links": ["uks2_session_7"],
        "url": "python/resource_sheets/UKS2-S7-1.pdf",
        "page_origin": "#uks2-resource-sheets"
    },

    "UKS2_S7_2": {
        "title": "UKS2 - Session 7 - Sheet 2",
        "description": "To be used with Session 7 lesson plan.",
        "links": ["uks2_session_7"],
        "url": "python/resource_sheets/UKS2-S7-2.pdf",
        "page_origin": "#uks2-resource-sheets"
    },

    # ...Session 8...#
    "UKS2_S8_1": {
        "title": "UKS2 - Session 8 - Sheet 1",
        "description": "To be used with Session 8 lesson plan.",
        "links": ["uks2_session_8"],
        "url": "python/resource_sheets/UKS2-S8-1.pdf",
        "page_origin": "#uks2-resource-sheets"
    },

    "UKS2_S8_2": {
        "title": "UKS2 - Session 8 - Sheet 2",
        "description": "To be used with Session 8 lesson plan.",
        "links": ["uks2_session_7"],
        "url": "python/resource_sheets/UKS2-S8-2.pdf",
        "page_origin": "#uks2-resource-sheets"
    },

    # ............UKS2 Extras............#

    # ...UKS2 Program Solutions...#
    "program_solutions_51-109": {
        "title": "Program Solutions 51 - 109",
        "description": "A table showing the best solutions to levels 51 to 109 of Rapid Router.",
        "links": ["program_solutions_1-28", "program_solutions_29-50"],
        "url": "python/program_solutions/UKS2-PST-Program-Solutions-Table.pdf",
        "page_origin": "#uks2-solutions"
    },

    # ...UKS2 Activity Set...#
    "uks2_activity_set": {
        "title": "Upper KS2 Activity Set",
        "description": "This activity set gives you an overview of the Upper Key Stage 2 module. It covers the resources that will be useful, learning expectations and teacher preparation.",
        "links": None,
        "url": "python/UKS2-AS-Activity-Set.pdf",
        "page_origin": "#uks2-activity"
    },

    # ...UKS2 Assets...#
    "uks2_assets": {
        "title": "Upper KS2 Assets",
        "description": "Blockly and Python statements for Upper Key Stage 2 children that can be cut out for offline activities.",
        "links": ["uks2_code_wall_cards"],
        "url": "python/UKS2-Assets.pdf",
        "page_origin": "#uks2-assets"
    },

    "uks2_code_wall_cards": {
        "title": "Upper KS2 Code Wall Cards",
        "description": "Keywords that can be displayed in the classroom.",
        "links": ["uks2_assets"],
        "url": "python/UKS2-Code_Wall_Cards.pdf",
        "page_origin": "#uks2-assets"
    },

    # ...UKS2 Assessments...#
    "uks2_assessment_guide": {
        "title": "Upper KS2 Assessment Guide",
        "description": "Information on how to use the assessment sheets available.",
        "links": ["uks2_self_assessment_sheet", "uks2_teacher_record_sheet"],
        "url": "python/assessment/UKS2-A-Assessment-tech.pdf",
        "page_origin": "#uks2-assessments"
    },

    "uks2_self_assessment_sheet": {
        "title": "Upper KS2 - Self Assessment Sheet",
        "description": "Document for children to self assess their understanding of key concepts.",
        "links": ["uks2_assessment_sheet", "uks2_teacher_record_sheet"],
        "url": "python/assessment/UKS2-SA-Self-Assessment-Sheet.pdf",
        "page_origin": "#uks2-assessments"
    },

    "uks2_teacher_record_sheet": {
        "title": "Upper KS2 - Teacher Record Sheet",
        "description": "Document for the teacher to record pupils progress.",
        "links": ["uks2_assessment_sheet", "uks2_self_assessment_sheet"],
        "url": "python/assessment/UKS2-TRS.pdf",
        "page_origin": "#uks2-assessments"
    }
}
